Package org.apache.lucene.analysis.synonym.word2vec

## Class Word2VecSynonymProviderFactory

- java.lang.Object
- - org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymProviderFactory

-     public class Word2VecSynonymProviderFactory
      extends Object

  Supply Word2Vec Word2VecSynonymProvider cache avoiding that multiple instances of Word2VecSynonymFilterFactory will instantiate multiple instances of the same SynonymProvider. Assumes synonymProvider implementations are thread-safe.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Word2VecSynonymProviderFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Word2VecSynonymProvider` | `getSynonymProvider​(ResourceLoader loader, String modelFileName, org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymProviderFactory.Word2VecSupportedFormats format)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Word2VecSynonymProviderFactory

          public Word2VecSynonymProviderFactory()

  - ### Method Detail

    - #### getSynonymProvider

          public static Word2VecSynonymProvider getSynonymProvider​(ResourceLoader loader,
                                                                   String modelFileName,
                                                                   org.apache.lucene.analysis.synonym.word2vec.Word2VecSynonymProviderFactory.Word2VecSupportedFormats format)
                                                            throws IOException

      Throws:
        `IOException`